Remote code execution in Windows IOleCvt Interface

Published: 2019-04-10 02:41:26 | Updated: 2019-04-10
Severity High
Patch available YES
Number of vulnerabilities 1
CVE ID CVE-2019-0845
CVSSv3 7.7 [CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C]
CWE ID CWE-20
Exploitation vector Network
Public exploit N/A
Vulnerable software Windows
Windows Server
Vulnerable software versions Windows 8.1
Windows 7
Windows 10

Show more

Windows Server 2012
Windows Server 2012 R2
Windows Server 2008

Show more

Vendor URL Microsoft

Security Advisory

1) Input validation error

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to insufficient validation of user-supplied input within the IOleCvt interface when rendering ASP webpage content. A remote attacker can host a malicious web application, trick the victim into visiting it or open a malicious Microsoft Office file and execute arbitrary code on the target system.

Remediation

Install updates from vendor's website.

External links

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2019-0845

Back to List